List projects

get https://app.mk.io/api/v1/projects

Listing, Sorting and Filtering Projects

This endpoint returns the list of projects.

Sorting

The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.

Sorting is valid on the following fields: assignedPaymentMethodId, created, createdBy, displayName, id, isActive, locationId, name, updated

Filtering

The $filter query parameter allows for projects to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.

Filters are valid on the following fields: assignedPaymentMethodId, created, createdBy, createdByEmail, createdByName, displayName, id, isActive, locationId, locationName, name, updated

Examples:

?$top=10 - Returns only the first 10 projects from the list.

?$orderby=name desc - Sorts projects by name in descending order.

?$filter=name eq 'descriptive name' - Returns projects that match the provided name.

?$orderby=created desc - Sorts projects by creation date in descending order.

?$filter=created ge 2021-01-01T00:00:00Z - Returns projects created after January 1, 2021.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

$orderby string Optional
Specifies the key by which the result collection should be ordered.
$filter string Optional
Restricts the set of items returned.
$top string Optional
Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
$skiptoken string Optional
Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities.
show_hidden string Optional
Shows hidden projects if present.

Response

200 OK
@odata.nextLinkstringOptional
@odata.nextLink URL if the page length and number of items match.
supplementalobjectListResponseSupplementalSchemaRequired
Supplemental info
Show 5 propertiesHide 5 properties
countintegerRequired
Number of items returned
kindstringRequired
Type of items in the list
operationstringRequired
Operation type. Should always say 'list'
paginationobjectPaginationInfoSchemaRequired
Pagination info
Show 4 propertiesHide 4 properties
endintegerRequired
Position of the last item in the list
recordsintegerRequired
Total number of items returned in the list
startintegerRequired
Position of the first item in the list
totalintegerRequired
Total number of items in the project
subscriptionobjectProjectInfoSchemaOptional
Project info
Show 2 propertiesHide 2 properties
idstringRequired
Project ID
namestringRequired
Project name
valuelist of objectsProjectGetSchemaRequired
List of projects the user has access to within this organization.
Show 3 propertiesHide 3 properties
kindstringOptional
The kind of record.
metadataobjectProjectMetadataSchemaOptional
Metadata.
Show 10 propertiesHide 10 properties
cloudobjectProjectMetadataCloudSchemaRequired
Cloud in which the project is hosted.
Show 3 propertiesHide 3 properties
displayNamestringRequired
The display name of the cloud.
idstringOptionalformat: uuid
The unique identifier of the cloud.
namestringRequired
The unique name of the cloud.
createdstringOptionalformat: date-time
The time when the resource was created
createdBystringOptionalformat: uuid
ID of the user who created the resource
createdByEmailstringOptional
Email of the user who created the resource
createdByIdstringRequiredformat: uuid
ID of the user who created the project.
createdByNamestringRequired
Name of the user who created the project.
displayNamestringOptional
The display name of the resource
idstringRequiredformat: uuid
The ID of the resource
namestringOptional
The name of the resource
updatedstringOptionalformat: date-time
The time when the resource was last updated
specobjectProjectSpecSchemaRequired
Specification.
Show 7 propertiesHide 7 properties
assignedPaymentMethodIdstring or nullRequiredformat: uuid
ID of the payment method assigned to the project.
displayNamestringRequired
Display name of the project.
isActivebooleanRequired
Is project active.
locationDisplayNamestringOptional
Display name of the location the project is in.
locationIdstringRequiredformat: uuid
ID of the location the project is in.
locationNamestringRequired
Name of the location the project is in.
namestringRequired
Name of the project.

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code